Bug 327961 - provides from SMP/PAE kernels broken
provides from SMP/PAE kernels broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 13:17 EDT by Thorsten Leemhuis
Modified: 2009-06-27 11:45 EDT (History)
4 users (show)

See Also:
Fixed In Version: kernel-2.6.23-7.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-12 12:52:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thorsten Leemhuis 2007-10-11 13:17:40 EDT
Description of problem:
Kmods need a sane way to get exactly the kernel they were compiled for; that
worked fine in F7 and is broken in rawhide.

E.g in F7 a kmod for the stock kernel had a line like this...
Requires: kernel-i686 = 2.6.21-1.3194.fc7
That dep is provided by the matching kernel package:
$ rpm -qp kernel-2.6.21-1.3194.fc7.i686.rpm --provides
[...]
kernel-i686 = 2.6.21-1.3194.fc7
[...]

For a PAE is was similar. Kmod had...
Requires: kernel-i686 = 2.6.21-1.3194.fc7PAE
That dep is provided by the matching kernel package:
$ rpm -qp --provides kernel-PAE-2.6.21-1.3194.fc7.i686.rpm 
[...]
kernel-i686 = 2.6.21-1.3194.fc7PAE
[...]

In rawhide the stock and the PAE kernel provide the same version:

$ rpm -qp kernel-2.6.23-5.fc8.i686.rpm --provides 
[...]
kernel-i686 = 2.6.23-5.fc8
[...]
$ rpm -qp kernel-PAE-2.6.23-5.fc8.i686.rpm --provides 
[...]
kernel-i686 = 2.6.23-5.fc8
[...]

That lead to reports from users that a kmod for the stock kernel pulled in the
PAE kernel.

Additional info:
Would be nice to see this fixed before F8 gets shipped as this regression would
create major trouble for 3rd party repos that ship kernel module packages.
Comment 1 Jarod Wilson 2007-10-11 13:59:15 EDT
Build-testing theoretical fix now...
Comment 2 Jarod Wilson 2007-10-12 12:52:43 EDT
Theoretical fix confirmed as an actual fix, and committed to cvs. Next kernel
build should have fixed-up Provides.

Note You need to log in before you can comment on or make changes to this bug.